package  
{
	import org.flixel.FlxSprite;
	
	/**
	 * ...
	 * @author Nathan McCoy
	 */
	public class DeathParticle extends FlxSprite 
	{
		private var lifetime:int;
		
		[Embed(source = "../lib/deathparticle2.png")]
		public static const DeathGraphic:Class;
		public function init(X:Number = 0, Y:Number = 0, vx:Number = 0, vy:Number = 0):void
		{
			x = X;
			y = Y;
			velocity.x = vx;
			velocity.y = vy;
			lifetime = 16;
			loadGraphic(DeathGraphic, true, false);
			addAnimation("anim", new Array(0, 1, 2, 3, 4, 5, 6, 7), 30, false);
			play("anim", true);
			width = 0;
			height = 0;
			centerOffsets();
			exists = true;
		}
		public function DeathParticle(X:Number=0, Y:Number=0, vx:Number = 0, vy:Number = 0) 
		{
			super(X, Y);
			init(X, Y, vx, vy);
		}
		override public function update():void 
		{
			lifetime--;
			super.update();
			if (lifetime == 0) exists = false;
		}
		
	}

}