package  
{
	import org.flixel.FlxSprite;
	import org.flixel.*;
	
	/**
	 * ...
	 * @author Nathan McCoy
	 */
	public class DriveAura extends FlxSprite 
	{
		
		[Embed(source = "../lib/driveaura.png")]
		public static const AuraGraphic:Class;
	
		
		public function DriveAura() 
		{
			super();
			loadGraphic(AuraGraphic, true);
			width = 0;
			height = 0;
			centerOffsets();
			addAnimation("flicker", new Array(0, 1, 2), 30, true);
			play("flicker", true);
		}
		public function get ps():PlayState
		{
			return FlxG.state as PlayState;
		}
		public override function update():void
		{
			if (ps.player.overdrive) visible = false;
			else visible = true;
			color = 0xFFFFFF;
			alpha = (ps.player.drive - 0.6) * 0.7;
			x = ps.player.x;
			y = ps.player.y;
			super.update();
		}
		
	}

}