package  
{
	import org.flixel.FlxSprite;
	
	/**
	 * ...
	 * @author Nathan McCoy
	 */
	public class EchoParticle extends FlxSprite 
	{
		private var lifetime:int;
		public function EchoParticle() 
		{
			super();
		}
		public function init(parent:FlxSprite):void
		{
			makeGraphic(parent.frameWidth, parent.frameHeight, 0x0, true);
			stamp(parent);
			x = parent.x;
			y = parent.y;
			width = 0;
			height = 0;
			centerOffsets();
			lifetime = 10;
			alpha = 0.5;
			exists = true;
		}
		override public function update():void 
		{
			lifetime--;
			if (lifetime <= 0) exists = false;
			alpha = lifetime / 30.0;
			super.update();
		}
	}

}